Skip to main content
Send money to a single bank account. You should validate the account first to confirm the recipient details.

Endpoint

POST /api/v1/business/single
Signature required: Yes

Headers

HeaderRequiredDescription
x-api-keyYesYour API key
x-signature-keyYesRequest signature

Request body

FieldTypeRequiredDescription
narrationstringYesDescription of the transfer
amountintegerYesAmount to transfer in Naira
destinationAccountNumberstringYesRecipient’s account number
destinationBankCodestringYesRecipient’s bank code
destinationAccountNamestringYesRecipient’s account name
phoneNumberstringYesSender’s phone number

Request example

curl -X POST "https://api-dev.usenumero.com/numeroaccount/api/v1/business/single" \
  -H "Content-Type: application/json" \
  -H "x-api-key: your_api_key" \
  -H "x-signature-key: generated_signature" \
  -d '{
    "narration": "Payment for order #123",
    "amount": 5000,
    "destinationAccountNumber": "0123456789",
    "destinationBankCode": "000013",
    "destinationAccountName": "John Doe",
    "phoneNumber": "08012345678"
  }'

Response

{
  "status": true,
  "message": "Successful",
  "code": "200",
  "version": "v1",
  "reference": "abc123",
  "data": {
    "transferReference": ["TRF-20240115-abc123"]
  },
  "error": null
}
FieldTypeDescription
transferReferencestring[]Array containing the transfer reference(s)

Next steps

Use the transferReference to check the transfer status.